Skip to main content
GET
List traces

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping. X-Outerlayer-App-Id is accepted as an equivalent header.

Authorization
string
header
required

API key (sk_agentmark_*)

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer | null
default:0
Required range: x >= 0
start_date
string<date>
end_date
string<date>
sort_by
string
sort_order
enum<string>
Available options:
asc,
desc
status
enum<string>
Available options:
OK,
ERROR
user_id
string
model
string
dataset_run_id
string
session_id
string
name
string
tag
commit_sha
string
filter
string

Filter expression (string DSL). Clauses combined with and; a clause is a predicate (field operator [value]) or a parenthesized OR-group of predicates: (a = 1 or b = 2). or only inside parens, and only outside; groups do not nest. Operators: =, !=, >, >=, <, <=, contains, not contains, starts with, ends with, and (for metadata.<key>) exists / does not exist. Quote values with spaces. Fields: model, user_id, session_id, trace_id, prompt_name, input, output, props, semantic_kind, latency_ms, cost, prompt_tokens, completion_tokens, status (OK|ERROR), tags, metadata., score__. Example: (model = "gpt-4o" or model = "o3") and status = ERROR. Malformed filters return 400.

Response

A paginated list of traces.

data
object[]
required
pagination
object
required